# Code of Conduct

Thank you for being a part of the GNOME project. We value your participation and want everyone to have an enjoyable and fulfilling experience. Accordingly, all participants are expected to follow this Code of Conduct, and to show respect, understanding, and consideration to one another. Thank you for helping make this a welcoming, friendly community for everyone.

## Scope

This Code of Conduct applies to all GNOME community spaces, including, but not limited to:

 * Issue tracking systems - bugzilla.gnome.org
 * Documentation and tutorials - developer.gnome.org
 * Code repositories - git.gnome.org and gitlab.gnome.org
 * Mailing lists - mail.gnome.org
 * Wikis - wiki.gnome.org
 * Chat and forums - irc.gnome.org, discourse.gnome.org, GNOME Telegram channels, and GNOME groups and channels on Matrix.org (including bridges to GNOME IRC channels)
 * Community spaces hosted on gnome.org infrastructure
 * Any other channels or groups which exist in order to discuss GNOME project activities
 * All event venues and associated spaces, including conferences, hackfests, release parties, workshops and other small events
 * All areas related to event venues: vendor exhibit halls, staff and meal areas, connecting infrastructure like walkways, hallways, elevators, and stairs
 * Sponsor events, either on-site or off-site
 * Private events off-site that involve one or more attendees
 * Social events around the main event
 * Private conversations taking place in official conference hotels

Communication channels and private conversations that are normally out of scope may be considered in scope if a GNOME participant is being stalked or harassed. Social media conversations may be considered in-scope if the incident occurred under a GNOME event hashtag, or when an official GNOME account on social media is tagged, or within any other discussion about GNOME. The GNOME Foundation reserves the right to take actions against behaviors that happen in any context, if they are deemed to be relevant to the GNOME project and its participants.

All participants in GNOME community spaces are subject to the Code of Conduct. This includes GNOME Foundation board members, corporate sponsors, and paid employees. This also includes volunteers, maintainers, leaders, contributors, contribution reviewers, issue reporters, GNOME users, and anyone participating in discussion in GNOME community spaces. For in-person events, this also includes all attendees, exhibitors, vendors, speakers, panelists, organizers, staff, and volunteers.

## Reporting an Incident

If you believe that someone is violating the Code of Conduct, or have any other concerns, please [contact the Code of Conduct committee](gnome-code-of-conduct-reporter-guide.md).

## Our Standards

The GNOME community is dedicated to providing a positive experience for everyone, regardless of:

 * age
 * body size
 * caste
 * citizenship
 * disability
 * education
 * ethnicity
 * familial status
 * gender expression
 * gender identity
 * genetic information
 * immigration status
 * level of experience
 * nationality
 * personal appearance
 * pregnancy
 * race
 * religion
 * sex characteristics
 * sexual orientation
 * sexual identity
 * socio-economic status
 * tribe
 * veteran status

### Community Guidelines

Examples of behavior that contributes to creating a positive environment include:

 * **Be friendly.** Use welcoming and inclusive language.
 * **Be empathetic.** Be respectful of differing viewpoints and experiences.
 * **Be respectful.** When we disagree, we do so in a polite and constructive manner.
 * **Be considerate.** Remember that decisions are often a difficult choice between competing priorities. Focus on what is best for the community. Keep discussions around technology choices constructive and respectful.
 * **Be patient and generous.** If someone asks for help it is because they need it. When documentation is available that answers the question, politely point them to it. If the question is off-topic, suggest a more appropriate online space to seek help.
 * **Try to be concise.** Read the discussion before commenting in order to not repeat a point that has been made.

### Inappropriate Behavior

Community members asked to stop any inappropriate behavior are expected to comply immediately.

We want all participants in the GNOME community have the best possible experience they can. In order to be clear what that means, we've provided a list of examples of behaviors that are inappropriate for GNOME community spaces:

 * **Deliberate intimidation, stalking, or following.**
 * **Sustained disruption of online discussion, talks, or other events.** Sustained disruption of events, online discussions, or meetings, including talks and presentations, will not be tolerated. This includes 'Talking over' or 'heckling' event speakers or influencing crowd actions that cause hostility in event sessions. Sustained disruption also includes drinking alcohol to excess or using recreational drugs to excess, or pushing others to do so.
 * **Harassment of people who don't drink alcohol or other legal substances.** We do not tolerate derogatory comments about those who abstain from alcohol or other legal substances. We do not tolerate pushing people to drink, talking about their abstinence or preferences to others, or pressuring them to drink - physically or through jeering.
 * **Sexist, racist, homophobic, transphobic, ableist language or otherwise exclusionary language.** This includes deliberately referring to someone by a gender that they do not identify with, and/or questioning the legitimacy of an individual's gender identity. If you're unsure if a word is derogatory, don't use it. This also includes repeated subtle and/or indirect discrimination.
 * **Unwelcome sexual attention or behavior that contributes to a sexualized environment.** This includes sexualized comments, jokes or imagery in interactions, communications or presentation materials, as well as inappropriate touching, groping, or sexual advances. Sponsors should not use sexualized images, activities, or other material. Meetup organizing staff and other volunteer organizers should not use sexualized clothing/uniforms/costumes, or otherwise create a sexualized environment.
 * **Unwelcome physical contact.** This includes touching a person without permission, including sensitive areas such as their hair, pregnant stomach, mobility device (wheelchair, scooter, etc) or tattoos. This also includes physically blocking or intimidating another person. Physical contact or simulated physical contact (such as emojis like "kiss") without affirmative consent is not acceptable. This includes sharing or distribution of sexualized images or text.
 * **Violence or threats of violence.** Violence and threats of violence are not acceptable - online or offline. This includes incitement of violence toward any individual, including encouraging a person to commit self-harm. This also includes posting or threatening to post other people's personally identifying information ("doxxing") online.
 * **Influencing or encouraging inappropriate behavior.** If you influence or encourage another person to violate the Code of Conduct, you may face the same consequences as if you had violated the Code of Conduct.
 * **Possession of an offensive weapon at a GNOME event.** This includes anything deemed to be a weapon by the event organizers.

### Safety versus Comfort

The GNOME community prioritizes marginalized people's safety over privileged people's comfort, for example in situations involving:

 * "Reverse"-isms, including "reverse racism," "reverse sexism," and "cisphobia"
 * Reasonable communication of boundaries, such as "leave me alone," "go away," or "I'm not discussing this with you."
 * Criticizing racist, sexist, cissexist, or otherwise oppressive behavior or assumptions
 * Communicating boundaries or criticizing oppressive behavior in a "tone" you don't find congenial

The examples listed above are not against the Code of Conduct. If you have questions about the above statements, please [read our document on Supporting Diversity](supporting-diversity.md).

Outreach and diversity efforts directed at under-represented groups are permitted under the code of conduct. For example, a social event for women would not be classified as being outside the Code of Conduct under this provision.

Basic expectations for conduct are not covered by the "reverse-ism clause" and would be enforced irrespective of the demographics of those involved. For example, racial discrimination will not be tolerated, irrespective of the race of those involved. Nor would unwanted sexual attention be tolerated, whatever someone's gender or sexual orientation. Members of our community have the right to expect that participants in the project will uphold these standards.

If a participant engages in behavior that violates this code of conduct, the GNOME Code of Conduct committee may take any action they deem appropriate. Examples of consequences are outlined in the [Committee Procedures Guide](gnome-code-of-conduct-committee-procedures.md).

## Procedure for Handling Incidents

 * [Reporter Guide](gnome-code-of-conduct-reporter-guide.md)

 * [Moderator Procedures](gnome-code-of-conduct-moderator-procedures.md)

 * [Committee Procedures Guide](gnome-code-of-conduct-committee-procedures.md)

## License

The GNOME Code of Conduct is licensed under a [Creative Commons Attribution Share-Alike 3.0 Unported License](http://creativecommons.org/licenses/by-sa/3.0/)

[![Creative Commons License](http://i.creativecommons.org/l/by-sa/3.0/88x31.png)](http://creativecommons.org/licenses/by-sa/3.0/)

## Attribution

The GNOME Code of Conduct was forked from the example policy from the [Geek Feminism wiki, created by the Ada Initiative and other volunteers](http://geekfeminism.wikia.com/wiki/Conference_anti-harassment/Policy), which is under a Creative Commons Zero license.

Additional language was incorporated and modified from the following Codes of Conduct:

 * [Citizen Code of Conduct](http://citizencodeofconduct.org/) is licensed [Creative Commons Attribution-ShareAlike 3.0 Unported License](https://creativecommons.org/licenses/by-sa/3.0/).
 * [Code of Conduct template](https://github.com/sagesharp/code-of-conduct-template/) is licensed [Creative Commons Attribution 3.0 Unported License](http://creativecommons.org/licenses/by/3.0/) by [Otter Tech](https://otter.technology/code-of-conduct-training)
 * [Contributor Covenant version 1.4](https://www.contributor-covenant.org/version/1/4/code-of-conduct) (licensed [CC BY 4.0](https://github.com/ContributorCovenant/contributor_covenant/blob/master/LICENSE.md))
 * [Data Carpentry Code of Conduct](https://docs.carpentries.org/topic_folders/policies/index_coc.html) is licensed [Creative Commons Attribution 4.0 License](https://creativecommons.org/licenses/by/4.0/)
 * [Django Project Code of Conduct](https://www.djangoproject.com/conduct/) is licensed under a [Creative Commons Attribution 3.0 Unported License](http://creativecommons.org/licenses/by/3.0/)
 * [Fedora Code of Conduct](http://fedoraproject.org/code-of-conduct)
 * [Geek Feminism Anti-harassment Policy](http://geekfeminism.wikia.com/wiki/Conference_anti-harassment/Policy) which is under a [Creative Commons Zero license](https://creativecommons.org/publicdomain/zero/1.0/)
 * [GNOME Foundation Code of Conduct](https://wiki.gnome.org/action/recall/Foundation/CodeOfConduct?action=recall&rev=48)
 * [LGBTQ in Technology Slack Code of Conduct](https://lgbtq.technology/coc.html) licensed [Creative Commons Zero](https://creativecommons.org/publicdomain/zero/1.0/)
 * [Mozilla Community Participation Guidelines](https://www.mozilla.org/en-US/about/governance/policies/participation/) is licensed [Creative Commons Attribution-ShareAlike 3.0 Unported License](https://creativecommons.org/licenses/by-sa/3.0/).
 * [Python Mentors Code of Conduct](http://pythonmentors.com/)
 * [Speak Up! Community Code of Conduct](http://web.archive.org/web/20141109123859/http://speakup.io/coc.html), licensed under a [Creative Commons Attribution 3.0 Unported License](http://creativecommons.org/licenses/by/3.0/)
